Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87837 - inaccurate error message when missing '-f' for kernel updates in default config
Summary: inaccurate error message when missing '-f' for kernel updates in default config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2003-04-02 23:54 UTC by Brian Brock
Modified: 2013-01-10 08:46 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0465
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 15:13:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0465 normal SHIPPED_LIVE up2date bug fix update 2006-07-19 20:50:00 UTC

Description Brian Brock 2003-04-02 23:54:47 UTC
forgetting the '-f' flag on `up2date --nox kernel` with default configuration
gives inaccurate error message.  The message could lead a user to believe their
system is not vulnerable to security problems resolved by kernel errata in the
default configuration.


up2date-3.1.23-1

100% reproducible

On a system with kernel updates about to be applied, run:


# up2date --nox -l
...
The following Packages were marked to be skipped by your configuration:
 
Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel                                  2.4.20         8    Pkg name/pattern
kernel-doc                              2.4.20         8    Pkg name/pattern
kernel-smp                              2.4.20         8    Pkg name/pattern
kernel-source                           2.4.20         8    Pkg name/pattern
 
.live.[root@i386-9 RPMS]# up2date --nox  -d kernel kernel-doc kernel-smp
kernel-source

...

Fetching rpm headers...
########################################
 
The following packages you requested are already updated:
kernel
kernel-doc
kernel-smp
kernel-source



Expected results:
I expected to see the message "The following Packages were marked to be skipped
by your configuration:" or similar during the download attempt, not the
inaccurate error message that the packages had been updated.

Comment 1 Brian Brock 2004-05-13 21:16:55 UTC
trying to change to rhel 3.

Comment 2 Brian Brock 2004-05-13 21:18:16 UTC
same bug is still around with up2date-4.2.15-1

Comment 3 Brian Brock 2004-05-28 16:02:05 UTC
running `up2date-nox -i kernel-source` (with an empty removeSkipList),
I still see: 

The following packages you requested are already updated:
kernel-source

... on RHEL3 with kernel-source-2.4.21-9.0.3.EL installed.
kernel-source-2.4.21-15.EL is the version of kernel-source that
_should_ be considered most recent, and I think the error message is
being triggered badly

Comment 4 Brian Brock 2004-05-28 16:04:19 UTC
pkgsToInstallNotUpdate is set to ['kernel', 'kernel-modules']

Comment 5 Brian Brock 2004-05-28 16:16:42 UTC
with pkgsToInstallNotUpdate set to [] (the empty set), I still recieve
the message:

# up2date-nox kernel-source

Fetching package list for channel: rhel-i386-ws-3...
########################################

Fetching Obsoletes list for channel: rhel-i386-ws-3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------

The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel-source                           2.4.21         15.ELPkg
name/pattern


The following packages you requested are already updated:
kernel-source

... and when I add the '-f' flag, I the upgrade performs smoothly:

# up2date-nox -f kernel-source

Fetching package list for channel: rhel-i386-ws-3...
########################################

Fetching Obsoletes list for channel: rhel-i386-ws-3...

Name                                    Version        Rel
----------------------------------------------------------
kernel-source                           2.4.21         15.EL         
   i386


Testing package set / solving RPM inter-dependencies...
########################################
kernel-source-2.4.21-15.EL. ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:kernel-source         
########################################### [100%]


/etc/sysconfig/up2date contains:

pkgsToInstallNotUpdate=;
removeSkipList=;



All of today's posts by me are with up2date-4.2.16-1 on rhel3 (i386-ws).

What other details would be useful?

Comment 6 Brian Brock 2004-05-28 17:16:46 UTC
ugh.

forgot to set pkgSkipList=[]

retesting.

Comment 7 Brian Brock 2004-05-28 17:41:22 UTC
After a thorough retest, the only real problem that I see is that the
error message printed is:

The following packages you requested are already updated:


when really, the updates aren't applied without '-f' because the
packages are in skip lists.

Comment 10 Fanny Augustin 2006-04-11 00:37:15 UTC
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release

Comment 11 Fanny Augustin 2006-04-13 19:45:07 UTC
Moving bugs to the CanFix List

Comment 14 Fanny Augustin 2006-05-09 20:35:37 UTC
Re-aligning to correct bug trackers

Comment 15 Beth Nackashi 2006-05-12 19:49:03 UTC
Test plan:
1-  Kickstart system to RHEL3 U6.
2-  Install latest up2date and rhnlib from devserv.devel:/mnt/redhat/dist/3.0E-U8.
3-  Verify /etc/sysconfig/rhn/up2date says "pkgSkipList=kernel*;"
4-  Register system (up2date --nox --register).
5-  Run up2date --nox -l.






Comment 16 Beth Nackashi 2006-05-12 19:51:26 UTC
6-  Run up2date --nox  -d kernel kernel-doc kernel-smp kernel-source.

And I forgot to mention that, in step 4, you should register the test system to
webqa or a satellite that has RHEL3 U7 synced, so there will be kernel updates
available for the client.



Comment 17 Beth Nackashi 2006-05-12 20:06:52 UTC
Retested on i386 with up2date-4.4.69-8 and rhnlib-1.8.7-1.


[root@test07 root]# up2date --nox  -d kernel kernel-doc kernel-smp kernel-source

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------

The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel                                  2.4.21         40.ELPkg name/pattern
kernel-doc                              2.4.21         40.ELPkg name/pattern
kernel-pcmcia-cs                        3.1.31         19   Pkg name/pattern
kernel-smp                              2.4.21         40.ELPkg name/pattern
kernel-source                           2.4.21         40.ELPkg name/pattern
kernel-utils                            2.4            8.37.14Pkg name/pattern


The following packages you requested were marked to be skipped by your
configuration:
kernel
kernel-doc
kernel-smp
kernel-source

This is with pkgSkipList=kernel*;
pkgsToInstallNotUpdate=kernel;kernel-modules;kernel-devel;
removeSkipList=kernel*;

Also tested with all lists = [] to make sure nothing got broken:
[root@test07 root]# up2date --nox  -d kernel kernel-doc kernel-smp kernel-source

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
kernel                                  2.4.21         40.EL             i686
kernel-doc                              2.4.21         40.EL             i386
kernel-smp                              2.4.21         40.EL             i686
kernel-source                           2.4.21         40.EL             i386


Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.21-40.EL.i686.rp ########################## Done.
kernel-doc-2.4.21-40.EL.i38 ########################## Done.
kernel-smp-2.4.21-40.EL.i68 ########################## Done.
kernel-source-2.4.21-40.EL. ########################## Done.


Once more, with all lists populated as default:
The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel                                  2.4.21         40.ELPkg name/pattern
kernel-BOOT                             2.4.21         40.ELPkg name/pattern
kernel-doc                              2.4.21         40.ELPkg name/pattern
kernel-hugemem                          2.4.21         40.ELPkg name/pattern
kernel-hugemem-unsupported              2.4.21         40.ELPkg name/pattern
kernel-pcmcia-cs                        3.1.31         19   Pkg name/pattern
kernel-smp                              2.4.21         40.ELPkg name/pattern
kernel-smp-unsupported                  2.4.21         40.ELPkg name/pattern
kernel-source                           2.4.21         40.ELPkg name/pattern
kernel-unsupported                      2.4.21         40.ELPkg name/pattern
kernel-utils                            2.4            8.37.14Pkg name/pattern


The following packages you requested were marked to be skipped by your
configuration:
kernel
kernel-BOOT
kernel-doc
kernel-hugemem
kernel-hugemem-unsupported
kernel-pcmcia-cs
kernel-smp
kernel-smp-unsupported
kernel-source
kernel-unsupported
kernel-utils

Then with empty lists:
[root@test07 root]# up2date kernel kernel-BOOT kernel-doc kernel-hugemem
kernel-hugemem-unsupported kernel-pcmcia-cs kernel-smp kernel-smp-unsupported
kernel-source kernel-unsupported kernel-utils

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
kernel                                  2.4.21         40.EL             i686
kernel-BOOT                             2.4.21         40.EL             i386
kernel-doc                              2.4.21         40.EL             i386
kernel-hugemem                          2.4.21         40.EL             i686
kernel-hugemem-unsupported              2.4.21         40.EL             i686
kernel-pcmcia-cs                        3.1.31         19                i386
kernel-smp                              2.4.21         40.EL             i686
kernel-smp-unsupported                  2.4.21         40.EL             i686
kernel-source                           2.4.21         40.EL             i386
kernel-unsupported                      2.4.21         40.EL             i686
kernel-utils                            2.4            8.37.14           i386


Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.21-40.EL.i686.rp ########################## Done.
kernel-BOOT-2.4.21-40.EL.i3 ########################## Done.
kernel-doc-2.4.21-40.EL.i38 ########################## Done.
kernel-hugemem-2.4.21-40.EL ########################## Done.
kernel-hugemem-unsupported- ########################## Done.
kernel-pcmcia-cs-3.1.31-19. ########################## Done.
kernel-smp-2.4.21-40.EL.i68 ########################## Done.
kernel-smp-unsupported-2.4. ########################## Done.
kernel-source-2.4.21-40.EL. ########################## Done.
kernel-unsupported-2.4.21-4 ########################## Done.
kernel-utils-2.4-8.37.14.i3 ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:kernel-smp             ########################################### [100%]
   2:kernel                 ########################################### [100%]
   3:kernel-BOOT            ########################################### [100%]
   4:kernel-doc             ########################################### [100%]
   5:kernel-hugemem         ########################################### [100%]
   6:kernel-hugemem-unsuppor########################################### [100%]
   7:kernel-pcmcia-cs       ########################################### [100%]
   8:kernel-smp-unsupported ########################################### [100%]
   9:kernel-source          ########################################### [100%]
  10:kernel-unsupported     ########################################### [100%]
  11:kernel-utils           ########################################### [100%]
Error installing lilo.conf  The message was:
test install of lilo failed
[root@test07 root]# rpm -qa|grep kernel
kernel-pcmcia-cs-3.1.31-19
kernel-2.4.21-40.EL
kernel-unsupported-2.4.21-40.EL
kernel-smp-2.4.21-40.EL
kernel-hugemem-2.4.21-40.EL
kernel-source-2.4.21-40.EL
kernel-doc-2.4.21-40.EL
kernel-smp-unsupported-2.4.21-40.EL
kernel-BOOT-2.4.21-40.EL
kernel-utils-2.4-8.37.14
kernel-hugemem-unsupported-2.4.21-40.EL


Comment 19 Red Hat Bugzilla 2006-07-20 15:13:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0465.html



Note You need to log in before you can comment on or make changes to this bug.